Bug 1124959 - No longer wifi after a yum update iwlwifi 7260 [NEEDINFO]
Summary: No longer wifi after a yum update iwlwifi 7260
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 17:52 UTC by Fabien
Modified: 2014-12-10 14:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:56:48 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Fabien 2014-07-30 17:52:31 UTC
Hello,

I'm new on fedora. I installed it on a new laptop Lenovo T440s.
All goes well during and after the install process of fedora 20 via USB.
I've done the yum update via the WIFI (no problem). But after the reboot
no more WIFI. The device is there, but nothing in the AP listing.

According to that page: https://ask.fedoraproject.org/en/question/46065/how-to-debug-wiredwireless-internet-connection-problems-in-fedora/
here are the debug details:

[fabien@localhost firmware]$ cat /proc/version 
Linux version 3.15.6-200.fc20.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 4.8.3 20140624 (Red Hat 4.8.3-1) (GCC) ) #1 SMP Fri Jul 18 02:36:27 UTC 2014

[fabien@localhost firmware]$ lspci -nnk | grep -iA2 net
00:19.0 Ethernet controller [0200]: Intel Corporation Ethernet Connection I218-LM [8086:155a] (rev 04)
	Subsystem: Lenovo ThinkPad X240 [17aa:2214]
	Kernel driver in use: e1000e
--
03:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b2] (rev 83)
	Subsystem: Intel Corporation Dual Band Wireless-AC 7260 [8086:c270]
	Kernel driver in use: iwlwifi

[fabien@localhost firmware]$ iwconfig 
wlp3s0    IEEE 802.11abgn  ESSID:off/any  
          Mode:Managed  Access Point: Not-Associated   Tx-Power=0 dBm   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Power Management:on
          
wwp0s20u4i6  no wireless extensions.

lo        no wireless extensions.

virbr0    no wireless extensions.

em1       no wireless extensions.

[fabien@localhost firmware]$ cat /var/lib/NetworkManager/NetworkManager.state
[main]
NetworkingEnabled=true
WirelessEnabled=true
WWANEnabled=true
WimaxEnabled=true

[fabien@localhost firmware]$ systemctl status NetworkManager 
NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; enabled)
   Active: active (running) since Wed 2014-07-30 18:54:45 CEST; 42min ago
 Main PID: 966 (NetworkManager)
   CGroup: /system.slice/NetworkManager.service
           ├─ 966 /usr/sbin/NetworkManager --no-daemon
           └─2488 /sbin/dhclient -d -sf /usr/libexec/nm-dhcp-helper -pf /var/run/dhclient-em1.pid -lf /var/lib/NetworkManager/dhclient-9a0a6589-c846-42a8-81fa-1d592892c7f1-em1.lease -cf /var/lib/NetworkManage...

Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0): No existing connection detected.
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0): bringing up device.
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> rfkill5: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/ieee80211/phy0/rfkill5) (driver iwlwifi)
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0) supports 5 scan SSIDs
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0): supplicant interface state: starting -> ready
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0): supplicant interface state: ready -> disconnected
Jul 30 19:20:25 localhost.localdomain NetworkManager[966]: <info> (wlp3s0) supports 5 scan SSIDs
Jul 30 19:25:14 localhost.localdomain NetworkManager[966]: <info> kernel firmware directory '/lib/firmware' changed

[fabien@localhost ~]$ rfkill list
0: tpacpi_bluetooth_sw: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: tpacpi_wwan_sw: Wireless WAN
	Soft blocked: no
	Hard blocked: no
2: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
5: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no

[fabien@localhost ~]$ iwlist scan
wlp3s0    No scan results

wwp0s20u4i6  Interface doesn't support scanning.

lo        Interface doesn't support scanning.

virbr0    Interface doesn't support scanning.

em1       Interface doesn't support scanning.



Network Manager logs:
http://paste.fedoraproject.org/122063/40674235/

You can see before the yum update the connection is working but after (at the ned of the file) it fails.

I look forward for some help to get it work.
Thanks a lot !

Comment 1 Justin M. Forbes 2014-11-13 15:55:04 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2014-12-10 14:56:48 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.